Bug 74110 - problem with upgrading from null to rc2
Summary: problem with upgrading from null to rc2
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: null
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-16 10:36 UTC by Hetz Ben Hamo
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-16 17:18:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hetz Ben Hamo 2002-09-16 10:36:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
RPM Database problems prevents an end user to upgrade from null to rc2 (or final). Currently anaconda freezes if the RPM DB is bad (for example if you got __rpmdb stuff)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just make your RPMDB bad and try to upgrade ;)	

Actual Results:  installation freezes

Expected Results:  I think it should remove the __* files from the RPM DB directory, rebuild (--rebuilddb) the RPM repository and continue installation, or at least give some info to the person

Additional info:

Comment 1 Jeremy Katz 2002-09-20 15:36:40 UTC
Upgrades from beta to the final release isn't supported.  Getting back inline
with the current version of rpm in the next release should resolve the problem,
though.   Additionally, rpm shouldn't be leaving the database in this state
anymore -- if it does, a bug needs to be filed against rpm with the exact way to
reproduce it so that Jeff can fix it.


Note You need to log in before you can comment on or make changes to this bug.